#sidebar{
    background-color: var(--color-background-element);
    font-family: 'Montserrat', sans-serif;

    position: fixed;
    top: 0;
    left: -400px;

    height: 100vh;
    width: 100%;
    max-width: 300px;
    z-index: 1000;

    transition: .2s linear;
    box-shadow: rgba(0, 0, 0, 0.15) 2.4px 2.4px 3.2px;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 2rem 1rem;
    color: #1E1E1E;
    font-size: 14px;
    font-weight: 600;

    text-transform: uppercase;
}

#sidebar.expand {
    left: 0;
}

.sidebar-header{
    font-size: 1.3rem;
}

.sidebar-nav{
    list-style: none;
    padding: 0;
    margin: 0 -1rem;
    margin-top: 1rem;
}

.sidebar-nav a{
    font-weight: 500;
    text-decoration: none;
    display: flex;
    gap: .5rem;
    transition: .1s;
    color: inherit;
}

.sidebar-nav a:hover{
    color: black;
}

.sidebar-item{
    display: block;
    font-size: 1rem;
    padding: 1rem;
    transition: .3s;
}

.sidebar-item:not(.sidebar-dropdown .sidebar-item){
    border-bottom: 1px solid #1e1e1e51;
}

.sidebar-link{
    position: relative;
}

.sidebar-dropdown .sidebar-link:hover{
    cursor: pointer;
    color: rgb(144, 176, 145);
}

.bi.bi-chevron-compact-right{
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
}

.sidebar-social{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

.social-flex{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem;
    font-size: 1.5rem;
}

.social-flex{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem;
    font-size: 1.5rem;
}

@media (min-width: 1280px) {
    #sidebar{
        display: none;
    }
}